package _VisualDVM.ComponentsServer.BugReportFile;
import Common.CommonConstants;
import Common.Database.Objects.DBObject;
import Common.Database.Objects.riDBObject;
import com.sun.org.glassfish.gmbal.Description;
public class BugReportFile extends riDBObject {
    @Description("DEFAULT -1")
    public int bugreport_id = CommonConstants.Nan;
    @Description("DEFAULT ''")
    public String name = "";
    @Override
    public void SynchronizeFields(DBObject src) {
        super.SynchronizeFields(src);
        BugReportFile f = (BugReportFile) src;
        bugreport_id = f.bugreport_id;
        name = f.name;
    }
    //-
    public BugReportFile(BugReportFile src) {
        SynchronizeFields(src);
    }
    public BugReportFile() {
    }
    //-
}
